#include <Adafruit_GFX.h>    // Core graphics library
#include <Adafruit_ST7735.h> // Hardware-specific library for ST7735
#include <Adafruit_ST7789.h> // Hardware-specific library for ST7789
#include <SPI.h>

#define TFT_CS        10
#define TFT_RST        8 // Or set to -1 and connect to Arduino RESET pin
#define TFT_DC         9

Adafruit_ST7735 tft = Adafruit_ST7735(TFT_CS, TFT_DC, TFT_RST);

#define TFT_MOSI 11  // Data out
#define TFT_SCLK 13  // Clock out

void setup(void) {
  Serial.begin(9600);

  tft.initR(INITR_BLACKTAB);
  tft.setSPISpeed(40000000);
  tft.setRotation(1);

  tft.fillScreen(ST7735_BLACK);
  
}

void loop() {

  tft.setRotation(1);
  tft.fillScreen(ST7735_BLACK);
   
  
  tft.drawLine(0, 56, 54, 130, ST7735_WHITE);
  tft.drawLine(0, 59, 51, 130, ST7735_WHITE);
  tft.drawLine(0, 62, 48, 130, ST7735_WHITE);
  tft.drawLine(0, 65, 45, 130, ST7735_WHITE);
  tft.drawLine(0, 68, 42, 130, ST7735_WHITE);
  tft.drawLine(0, 71, 39, 130, ST7735_WHITE);
  tft.drawLine(0, 74, 36, 130, ST7735_WHITE);
  tft.drawLine(0, 77, 33, 130, ST7735_WHITE);
  
  tft.drawLine(0, 2, 97, 130, ST7735_WHITE); 
  tft.drawLine(0, 5, 94, 130, ST7735_WHITE);
  tft.drawLine(0, 8, 91, 130, ST7735_WHITE);
  tft.drawLine(0, 11, 88, 130, ST7735_WHITE);
  tft.drawLine(0, 14, 85, 130, ST7735_WHITE);
  tft.drawLine(0, 17, 82, 130, ST7735_WHITE);
  tft.drawLine(0, 20, 79, 130, ST7735_WHITE);
  tft.drawLine(0, 23, 76, 130, ST7735_WHITE);
  
  

  tft.drawLine(25, 0, 124, 130, ST7735_WHITE);
  tft.drawLine(28, 0, 127, 130, ST7735_WHITE);
  tft.drawLine(31, 0, 130, 130, ST7735_WHITE);
  tft.drawLine(34, 0, 133, 130, ST7735_WHITE);
  tft.drawLine(37, 0, 136, 130, ST7735_WHITE);
  tft.drawLine(40, 0, 139, 130, ST7735_WHITE);
  tft.drawLine(43, 0, 142, 130, ST7735_WHITE);
  tft.drawLine(46, 0, 145, 130, ST7735_WHITE);

  tft.drawLine(72, 0, 160, 116, ST7735_WHITE);
  tft.drawLine(75, 0, 160, 113, ST7735_WHITE);
  tft.drawLine(78, 0, 160, 109, ST7735_WHITE);
  tft.drawLine(81, 0, 160, 105, ST7735_WHITE);
  tft.drawLine(84, 0, 160, 102, ST7735_WHITE);
  tft.drawLine(87, 0, 160, 99, ST7735_WHITE);
  tft.drawLine(90, 0, 160, 96, ST7735_WHITE);
  tft.drawLine(93, 0, 160, 93, ST7735_WHITE);

  tft.drawLine(120, 0, 160, 58, ST7735_WHITE);
  tft.drawLine(123, 0, 160, 55, ST7735_WHITE);
  tft.drawLine(126, 0, 160, 51, ST7735_WHITE);
  tft.drawLine(129, 0, 160, 48, ST7735_WHITE);
  tft.drawLine(132, 0, 160, 44, ST7735_WHITE);
  tft.drawLine(135, 0, 160, 40, ST7735_WHITE);
  tft.drawLine(138, 0, 160, 36, ST7735_WHITE);
  delay(5000);

  tft.fillScreen(ST7735_BLACK);
  tft.setRotation(0);
  tft.setCursor(35,60);
  tft.setTextSize(5);
  
  tft.print( "ON" );

  delay(5000);

  tft.fillScreen(ST7735_BLACK);
  
  tft.setCursor(25,60);
  tft.print( "OFF" );

  delay(5000);
  
}
